6.0.0-git
2021-11-27

[#8629] unable to view smime singed & encryped eMails created with Outlook or OutlookExpress
Summary unable to view smime singed & encryped eMails created with Outlook or OutlookExpress
Queue IMP
Queue Version 4.3.5
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org, slusarz (at) horde (dot) org
Requester michael.menge (at) zdv (dot) uni-tuebingen (dot) de
Created 2009-10-08 (4433 days ago)
Due
Updated 2010-01-13 (4336 days ago)
Assigned 2009-10-21 (4420 days ago)
Resolved 2009-11-10 (4400 days ago)
Milestone 4.3.6
Patch No

History
2010-01-13 00:15:18 CVS Commit Comment #13 Reply to this comment
Changes have been made in Git for this ticket:

All embedded information now lives under the original part.
Resolves Ticket #8296; Ticket #8629

Don't replace the original part with the embedded information. This
ensures we can always uniquely access the original data if necessary.
Also allows us an easier method to show status messages for related data
and allows us to do fancier things like wrapping entire parts with
colored borders (i.e. multipart/encrypted, multipart/signed).

Fixes problems with S/MIME encrypted/signed messages.

http://git.horde.org/diff.php/imp/docs/CHANGES?rt=horde-git&r1=7e7c28dd6bf2f2078b9e2efa66041a0c22babc8a&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Contents.php?rt=horde-git&r1=b879fbf80e084ac1d43d439083a5da0a35f01419&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Partial.php?rt=horde-git&r1=b879fbf80e084ac1d43d439083a5da0a35f01419&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Pgp.php?rt=horde-git&r1=ba9857f21277a77d8f243638bd433a33ae4b2255&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Plain.php?rt=horde-git&r1=71466fedc7a8c82a1a7157ccb637749e7f4700c1&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Smime.php?rt=horde-git&r1=b879fbf80e084ac1d43d439083a5da0a35f01419&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/themes/screen.css?rt=horde-git&r1=c3733d574889dbade4b7f2535f823a068b21d970&r2=2faf375710fbfb550f993776203eb2b1df57395d
2009-11-10 16:58:44 Michael Slusarz Comment #12
State ⇒ Resolved
Reply to this comment
Fixed in git HEAD.
2009-11-10 16:57:19 CVS Commit Comment #11 Reply to this comment
Changes have been made in Git for this ticket:

All embedded information now lives under the original part.
Resolves Ticket #8296; Ticket #8629

Don't replace the original part with the embedded information. This
ensures we can always uniquely access the original data if necessary.
Also allows us an easier method to show status messages for related data
and allows us to do fancier things like wrapping entire parts with
colored borders (i.e. multipart/encrypted, multipart/signed).

Fixes problems with S/MIME encrypted/signed messages.

http://git.horde.org/diff.php/imp/docs/CHANGES?rt=horde-hatchery&r1=7e7c28dd6bf2f2078b9e2efa66041a0c22babc8a&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Contents.php?rt=horde-hatchery&r1=b879fbf80e084ac1d43d439083a5da0a35f01419&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Partial.php?rt=horde-hatchery&r1=b879fbf80e084ac1d43d439083a5da0a35f01419&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Pgp.php?rt=horde-hatchery&r1=ba9857f21277a77d8f243638bd433a33ae4b2255&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Plain.php?rt=horde-hatchery&r1=71466fedc7a8c82a1a7157ccb637749e7f4700c1&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Smime.php?rt=horde-hatchery&r1=b879fbf80e084ac1d43d439083a5da0a35f01419&r2=2faf375710fbfb550f993776203eb2b1df57395d
http://git.horde.org/diff.php/imp/themes/screen.css?rt=horde-hatchery&r1=c3733d574889dbade4b7f2535f823a068b21d970&r2=2faf375710fbfb550f993776203eb2b1df57395d
2009-10-21 14:19:22 Jan Schneider Comment #10
Assigned to Jan Schneider
Assigned to Michael Slusarz
State ⇒ Assigned
Milestone ⇒ 4.3.6
Reply to this comment
Fixed for FRAMEWORK_3, but can't test on HEAD because signed&encrypted 
messages are currently broken there completely. Looks like the 
decrypted messages is not fed into the mime parser/viewer again to 
verify the signature. Handing over to Michael.
2009-10-21 14:07:22 CVS Commit Comment #9 Reply to this comment
2009-10-19 13:48:26 Jan Schneider Comment #8 Reply to this comment
Have you been able to reproduce the problem?
Yes.
2009-10-16 08:22:17 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #7 Reply to this comment
Have you been able to reproduce the problem?
2009-10-09 09:22:20 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #6
New Attachment: bug_8629.eml Download
Reply to this comment
Test eMail
2009-10-08 21:25:02 Jan Schneider Comment #5 (Private)
[Hidden]
2009-10-08 21:24:10 Jan Schneider Comment #4 Reply to this comment
That would help :) Here's a test cert:



-----BEGIN CERTIFICATE-----

MIIC7TCCAlagAwIBAgIBBzANBgkqhkiG9w0BAQUFADB2MQswCQYDVQQGEwJERTEM

MAoGA1UECBMDTlJXMRYwFAYDVQQKEw1KYW4gU2NobmVpZGVyMRYwFAYDVQQDEw1K

YW4gU2NobmVpZGVyMSkwJwYJKoZIhvcNAQkBFhpjb25zdWx0aW5nQGphbnNjaG5l

aWRlci5kZTAeFw0wOTEwMDgyMTIyMjBaFw0xMDEwMDgyMTIyMjBaMIGFMQswCQYD

VQQGEwJVUzERMA8GA1UECBMISW50ZXJuZXQxEzARBgNVBAcTCkhvcmRlIENpdHkx

FjAUBgNVBAoTDUhvcmRlIFByb2plY3QxFzAVBgNVBAMUDmNvcmVAaG9yZGUub3Jn

MR0wGwYJKoZIhvcNAQkBFg5jb3JlQGhvcmRlLm9yZzCBnzANBgkqhkiG9w0BAQEF

AAOBjQAwgYkCgYEA5RkltEcOCnoe+y84t3REqHq0dEkSUxZVLor9/sQBbr2SBguQ

fb4Q/XN2yxwo28eg6Ym0fYwzcMZsWOK+KzUm/IzuGHS8LvIpsxnCWqqY1zk9cBwH

nSo2eOPUps7xQa9eTyQuZHPwSgHmlFVJvJy8jEWKm6k4FJiWSw77P7luqHECAwEA

AaN7MHkwCQYDVR0TBAIwADAsBglghkgBhvhCAQ0EHxYdT3BlblNTTCBHZW5lcmF0

ZWQgQ2VydGlmaWNhdGUwHQYDVR0OBBYEFAWrO7oR12ZH6YjVut5Ib805lTvhMB8G

A1UdIwQYMBaAFCmwiXVSSfbEosDGKk7SdyKSO4hWMA0GCSqGSIb3DQEBBQUAA4GB

AGadYhh9j4NdxykGHa8xJQYladMMnBi2daGd14WVk6sDm6Vuw6w33/QFWJSXgySl

CMbawQTmGzh+3UuelOat/u75LzbzBymdVsICjH/BAtgOrAq7fdF+xAzgI7JylGeo

1nXNAHeUAlytfquZTPJsJGdy1rNJdIQ17sKmflYIQRK/

-----END CERTIFICATE-----


2009-10-08 17:48:02 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #3 Reply to this comment
do you have a certificate which i should use to encrypt the message?
2009-10-08 16:33:16 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Please provide an example message.
2009-10-08 13:50:29 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ unable to view smime singed & encryped eMails created with Outlook or OutlookExpress
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
To reproduce this error:

create a signed and encrypted eMail with Outlook or Outlook Express 
(tested with

"X-Mailer: Microsoft Outlook Express 6.00.2900.5843"

"X-Mailer: Microsoft Office Outlook 12.0" and

"X-Mailer: Microsoft Office Outlook 11.0" )

and view it with IMP (Tested with 4.3.3 - 4.3.5)



Viewing singed and encrypted eMails created with Thunderbird or IMP work fine.



As i could not find any errors in any logfiles i added some debugloggin in

horde and imp. These debuging output indicates that there is a recursion

in horde/lib/Horde/MIME/Contents.php buildMessage and buildMessagePart which

does not exit.



buildMessage and buildMessagePart are called about 256 times,

then script is stopped, i guess  because of execution time or memory limits.

There are also left about 530 /tmp/horde-smime* files.



Viewing an encrypted and singend message created by IMP or Thunderbird,

buildMessage will only be called about 4-5 times.

Saved Queries